Package org.opensaml.saml.ext.saml2alg

# Interface SigningMethod

All Superinterfaces:
  `ElementExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SigningMethodImpl`

public interface SigningMethod extends SAMLObject, ElementExtensibleXMLObject
SAML v2.0 Metadata Profile for Algorithm Support Version 1.0 SigningMethod SAMLObject.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALGORITHM_ATTRIB_NAME`
Algorithm attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`MAX_KEY_SIZE_ATTRIB_NAME`
MaxKeySize attribute name.
`static final String`
`MIN_KEY_SIZE_ATTRIB_NAME`
MinKeySize attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Get the value of the Algorithm URI attribute.
`Integer`
`getMaxKeySize()`
Get the value of the MaxKeySize attribute.
`Integer`
`getMinKeySize()`
Get the value of the MinKeySize attribute.
`void`
`setAlgorithm(String value)`
Get the value of the Algorithm URI attribute.
`void`
`setMaxKeySize(Integer value)`
Set the value of the MaxKeySize attribute.
`void`
`setMinKeySize(Integer value)`
Set the value of the MinKeySize attribute.

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ALGORITHM_ATTRIB_NAME

@Nonnull @NotEmpty static final String ALGORITHM_ATTRIB_NAME
Algorithm attribute name.

See Also:
  - Constant Field Values

### MIN_KEY_SIZE_ATTRIB_NAME

@Nonnull @NotEmpty static final String MIN_KEY_SIZE_ATTRIB_NAME
MinKeySize attribute name.

See Also:
  - Constant Field Values

### MAX_KEY_SIZE_ATTRIB_NAME

@Nonnull @NotEmpty static final String MAX_KEY_SIZE_ATTRIB_NAME
MaxKeySize attribute name.

See Also:
  - Constant Field Values

## Method Details

### getAlgorithm

@Nullable String getAlgorithm()
Get the value of the Algorithm URI attribute.

Returns:
  the algorithm URI

### setAlgorithm

void setAlgorithm(@Nullable String value)
Get the value of the Algorithm URI attribute.

Parameters:
  `value` - the algorithm URI

### getMinKeySize

@Nullable Integer getMinKeySize()
Get the value of the MinKeySize attribute.

Returns:
  the MinKeySize value

### setMinKeySize

void setMinKeySize(@Nullable Integer value)
Set the value of the MinKeySize attribute.

Parameters:
  `value` - the MinKeySize value

### getMaxKeySize

@Nullable Integer getMaxKeySize()
Get the value of the MaxKeySize attribute.

Returns:
  the MaxKeySize value

### setMaxKeySize

void setMaxKeySize(@Nullable Integer value)
Set the value of the MaxKeySize attribute.

Parameters:
  `value` - the MaxKeySize value